> ## Documentation Index
> Fetch the complete documentation index at: https://documents.trocco.io/llms.txt
> Use this file to discover all available pages before exploring further.
# データマート定義詳細取得
> データマート定義の詳細を取得します。
**取得した設定内容の取り扱い**
- 設定内容には、実行するクエリやカスタム変数に設定した値などが含まれます。
- 接続情報は接続情報IDで返し、パスワードやトークンは含みません。
- 取得した内容を外部のAIサービスに渡す場合は、入力したデータが学習に使われない設定でご利用ください。あわせて、貴社のデータの取り扱い方針と、利用するAIサービスのデータの扱いを事前にご確認ください。
## OpenAPI
````json GET /api/datamart_definitions/{datamart_definition_id}
{
"openapi": "3.0.3",
"info": {
"title": "trocco APIリファレンス",
"description": "trocco APIリファレンス",
"version": "0.0.1"
},
"servers": [
{
"url": "https://trocco.io"
}
],
"security": [
{
"ApiKeyAuth": []
}
],
"tags": [
{
"name": "users",
"description": "ユーザー",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-account-user"
}
},
{
"name": "teams",
"description": "チーム",
"externalDocs": {
"url": "https://documents.trocco.io/docs/team"
}
},
{
"name": "connections",
"description": "接続情報",
"externalDocs": {
"url": "https://documents.trocco.io/docs/connection-configurations"
}
},
{
"name": "custom_connectors",
"description": "カスタムコネクタ定義"
},
{
"name": "datamart_definitions",
"description": "データマート定義",
"externalDocs": {
"url": "https://documents.trocco.io/docs/data-mart"
}
},
{
"name": "environment_groups",
"description": "環境グループ"
},
{
"name": "environments",
"description": "環境"
},
{
"name": "jobs",
"description": "転送ジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/etl-configuration"
}
},
{
"name": "pipeline_jobs",
"description": "ワークフロージョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-workflow"
}
},
{
"name": "resource_groups",
"description": "リソースグループ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/resource-group"
}
},
{
"name": "dbt_git_repositories",
"description": "dbt Gitリポジトリ"
},
{
"name": "dbt_job_definitions",
"description": "dbtジョブ設定",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "dbt_jobs",
"description": "dbtジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "notification_destinations",
"description": "通知先",
"externalDocs": {
"url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings"
}
}
],
"externalDocs": {
"description": "trocco APIについて",
"url": "https://documents.trocco.io/docs/trocco-api"
},
"paths": {
"/api/datamart_definitions/{datamart_definition_id}": {
"get": {
"summary": "データマート定義詳細取得\n",
"description": "データマート定義の詳細を取得します。
\n
\n**取得した設定内容の取り扱い**
\n- 設定内容には、実行するクエリやカスタム変数に設定した値などが含まれます。\n- 接続情報は接続情報IDで返し、パスワードやトークンは含みません。\n- 取得した内容を外部のAIサービスに渡す場合は、入力したデータが学習に使われない設定でご利用ください。あわせて、貴社のデータの取り扱い方針と、利用するAIサービスのデータの扱いを事前にご確認ください。\n",
"operationId": "getDatamartDefinition",
"tags": [
"datamart_definitions"
],
"parameters": [
{
"name": "datamart_definition_id",
"in": "path",
"description": "データマート定義IDを指定します。
\nTROCCO画面からIDを確認する場合は、[API実行時に指定する各種パラメーターの確認方法](https://documents.trocco.io/trocco-api/apidocs/overview#api%E5%AE%9F%E8%A1%8C%E6%99%82%E3%81%AB%E6%8C%87%E5%AE%9A%E3%81%99%E3%82%8B%E5%90%84%E7%A8%AE%E3%83%91%E3%83%A9%E3%83%A1%E3%83%BC%E3%82%BF%E3%83%BC%E3%81%AE%E7%A2%BA%E8%AA%8D%E6%96%B9%E6%B3%95)を参照ください。\n",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
}
}
],
"responses": {
"200": {
"description": "データマート定義詳細を返します。",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"id": {
"description": "データマート定義IDです。",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"type": "string",
"description": "データマート定義名です。",
"example": "test"
},
"description": {
"type": "string",
"description": "メモです。",
"example": "desc"
},
"data_warehouse_type": {
"type": "string",
"description": "データウェアハウスタイプです。",
"example": "bigquery"
},
"is_runnable_concurrently": {
"type": "boolean",
"description": "ジョブの並列実行可否です。",
"example": true
},
"resource_group": {
"allOf": [
{
"title": "ResourceGroup",
"type": "object",
"properties": {
"id": {
"description": "リソースグループIDです。",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"description": "リソースグループ名です。",
"type": "string",
"example": "resource group"
},
"description": {
"description": "メモです。",
"type": "string",
"nullable": true,
"example": "description"
},
"teams": {
"description": "チームです。",
"type": "array",
"minItems": 0,
"items": {
"type": "object",
"properties": {
"team_id": {
"description": "チームIDです。",
"type": "integer",
"format": "int64",
"example": 1
},
"role": {
"description": "ロールです。",
"type": "string",
"enum": [
"administrator",
"editor",
"operator",
"viewer"
],
"example": "administrator"
}
}
}
},
"created_at": {
"description": "リソースグループの作成日時です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "リソースグループの更新日時です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"name",
"created_at",
"updated_at"
]
},
{
"nullable": true
}
]
},
"custom_variable_settings": {
"type": "array",
"description": "カスタム変数一覧です。",
"items": {
"title": "CustomVariableSetting",
"type": "object",
"properties": {
"name": {
"description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n",
"type": "string",
"example": "$start_time$"
},
"type": {
"description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n",
"type": "string",
"enum": [
"string",
"timestamp",
"timestamp_runtime"
],
"example": "timestamp_runtime"
},
"value": {
"description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n",
"type": "string",
"example": "jobs"
},
"quantity": {
"type": "integer",
"format": "int64",
"description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n",
"example": 1
},
"unit": {
"description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n",
"type": "string",
"enum": [
"minute",
"hour",
"date",
"month",
"month_start",
"month_end",
"prev_month_end"
],
"example": "hour"
},
"direction": {
"description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n",
"type": "string",
"enum": [
"ago",
"later"
],
"example": "ago"
},
"format": {
"type": "string",
"description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n",
"example": "%Y-%m-%d %H:%M:%S"
},
"time_zone": {
"description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n",
"type": "string",
"example": "Etc/UTC"
}
},
"required": [
"name",
"type"
]
}
},
"datamart_bigquery_option": {
"description": "BigQueryの設定です。
\nデータウェアハウスタイプがBigQueryの場合にのみ、この値は返されます。\n",
"allOf": [
{
"title": "DatamartBigqueryOption",
"type": "object",
"properties": {
"bigquery_connection_id": {
"description": "BigQueryの接続IDです。",
"type": "integer",
"format": "int64"
},
"query_mode": {
"description": "クエリ実行モードです。
\ninsert: データ転送モード
\nquery: 自由記述モード\n",
"type": "string",
"enum": [
"insert",
"query"
]
},
"query": {
"description": "実行クエリです。",
"type": "string",
"example": "select * from tests"
},
"destination_dataset": {
"description": "出力先データセットです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
},
"destination_table": {
"description": "出力先テーブルです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
},
"write_disposition": {
"description": "書き込みモードです。
\nquery_modeがinsertの場合のみ有効。
\nappend: 追記
\ntruncate: 全件洗い替え
\nincremental: 増分更新
\nscd_type_2: SCD Type 2(履歴保持)\n",
"type": "string",
"enum": [
"append",
"truncate",
"incremental",
"scd_type_2"
]
},
"schema_evolution_mode": {
"description": "スキーマ自動追従モードです。
\nwrite_dispositionがincrementalまたはscd_type_2の場合に有効です。
\ndetect_only: 検知のみ
\nauto_add_column: カラム自動追加\n",
"type": "string",
"enum": [
"detect_only",
"auto_add_column"
]
},
"merge_keys": {
"description": "キーカラムです。レコードを一意に識別するキーを指定します。
\nwrite_dispositionがincrementalまたはscd_type_2の場合に必須です。\n",
"type": "array",
"items": {
"type": "string"
}
},
"on_matched_action": {
"description": "キーが一致するレコードが存在した場合の挙動です。
\nwrite_dispositionがincrementalの場合に必須です。
\nupsert: 上書き(既存のレコードを一旦DELETEしてから、新しいレコードをINSERTします。データの整合性を重視します。)
\nskip: スキップ(既存のレコードをそのまま残し、新しいレコードだけをINSERTします。)\n",
"type": "string",
"enum": [
"upsert",
"skip"
]
},
"incremental_column": {
"description": "増分基準カラムです。
\nwrite_dispositionがscd_type_2の場合に必須です。\n",
"type": "string"
},
"valid_from_column": {
"description": "SCD Type 2の有効開始日カラム名です。
\nwrite_dispositionがscd_type_2の場合に設定されます。固定値: trocco_valid_from\n",
"type": "string"
},
"valid_to_column": {
"description": "SCD Type 2の有効終了日カラム名です。
\nwrite_dispositionがscd_type_2の場合に設定されます。固定値: trocco_valid_to\n",
"type": "string"
},
"is_current_column": {
"description": "SCD Type 2の現在フラグカラム名です。
\nwrite_dispositionがscd_type_2の場合に設定されます。固定値: trocco_is_current\n",
"type": "string"
},
"lookback_period_column": {
"description": "処理対象期間の基準カラム名です。
\n全データを対象にする場合はlookback_period関連のパラメーターはすべて未指定になります。
\n指定されている場合はlookback_period_column_typeも設定されます。
\nwrite_dispositionがincrementalまたはscd_type_2の場合に有効です。\n",
"type": "string"
},
"lookback_period_column_type": {
"description": "処理対象期間カラムのデータ型です。
\nwrite_dispositionがincrementalまたはscd_type_2の場合に有効です。\n",
"type": "string",
"enum": [
"TIMESTAMP",
"DATETIME",
"DATE"
]
},
"lookback_period_timezone": {
"description": "処理対象期間のタイムゾーンです。
\nwrite_dispositionがincrementalまたはscd_type_2の場合に有効です。\n",
"type": "string"
},
"lookback_period_from": {
"description": "処理対象期間の開始値です。
\n指定されている場合はlookback_period_unit、lookback_period_timezoneも設定されます。
\nwrite_dispositionがincrementalまたはscd_type_2の場合に有効です。\n",
"type": "integer"
},
"lookback_period_to": {
"description": "処理対象期間の終了値です。
\n指定されている場合はlookback_period_unit、lookback_period_timezoneも設定されます。
\nwrite_dispositionがincrementalまたはscd_type_2の場合に有効です。\n",
"type": "integer"
},
"lookback_period_unit": {
"description": "処理対象期間の単位です。
\nwrite_dispositionがincrementalまたはscd_type_2の場合に有効です。
\ndays: 日
\nhours: 時間\n",
"type": "string",
"enum": [
"days",
"hours"
]
},
"before_load": {
"description": "転送前に実行するクエリです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string",
"example": "DELETE FROM tests"
},
"partitioning": {
"description": "パーティションタイプです。
\nquery_modeがinsertの場合のみ有効です。
\ningestion_time: 取り込み時間により分割
\ntime_unit_column: フィールドにより分割\n",
"type": "string",
"enum": [
"ingestion_time",
"time_unit_column"
]
},
"partitioning_time": {
"description": "分割する期間の単位です。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string",
"enum": [
"DAY",
"HOUR",
"MONTH",
"YEAR"
]
},
"partitioning_field": {
"description": "分割するフィールド名です。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
},
"clustering_fields": {
"description": "クラスタ化列です。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "array",
"minItems": 0,
"maxItems": 4,
"items": {
"type": "string"
}
},
"location": {
"description": "データ処理ローケーションです。
\nquery_modeがqueryの場合のみ有効です。\n",
"type": "string"
},
"table_description": {
"description": "出力先テーブルの説明です。
\nquery_modeがinsertの場合のみ有効です。設定されている場合のみ返却されます。\n",
"type": "string"
},
"column_descriptions": {
"description": "出力先テーブルのカラム説明です。
\nquery_modeがinsertの場合のみ有効です。設定されている場合のみ返却されます。
\n(設定された順。作成・更新時に指定した配列の順序を保持して返却されます)\n",
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"description": "カラム名です。",
"type": "string"
},
"description": {
"description": "カラムの説明です。",
"type": "string"
}
}
}
}
}
},
{
"required": [
"bigquery_connection_id",
"query_mode",
"query"
]
},
{
"nullable": true
}
]
},
"datamart_snowflake_setting": {
"description": "Snowflakeの設定です。
\nデータウェアハウスタイプがSnowflakeの場合にのみ、この値は返されます。\n",
"allOf": [
{
"title": "DatamartSnowflakeSetting",
"type": "object",
"properties": {
"snowflake_connection_id": {
"description": "Snowflakeの接続IDです。",
"type": "integer",
"format": "int64"
},
"query_mode": {
"description": "クエリ実行モードです。
\ninsert: データ転送モード
\nquery: 自由記述モード\n",
"type": "string",
"enum": [
"insert",
"query"
]
},
"query": {
"description": "実行クエリです。",
"type": "string",
"example": "select * from tests"
},
"warehouse": {
"description": "実行対象の仮想ウェアハウスです。",
"type": "string",
"example": "EXAMPLE_WH"
},
"statement_timeout": {
"description": "クエリのタイムアウト時間(秒)です。
\n0を指定した場合はSnowflakeのSTATEMENT_TIMEOUT_IN_SECONDSが利用されます。\n",
"type": "integer",
"format": "int32"
},
"destination_database": {
"description": "出力先データベースです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
},
"destination_schema": {
"description": "出力先スキーマです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
},
"destination_table": {
"description": "出力先テーブルです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
},
"write_disposition": {
"description": "書き込みモードです。
\nquery_modeがinsertの場合のみ有効です。
\nappend: 追記
\nreplace: 洗い替え
\ntruncate: 全件洗い替え
\nincremental: 増分更新
\nscd_type_2: SCD Type 2(履歴保持)\n",
"type": "string",
"enum": [
"append",
"replace",
"truncate",
"incremental",
"scd_type_2"
]
},
"merge_keys": {
"description": "結合キーです。incremental / scd_type_2 で必須です。\n",
"type": "array",
"items": {
"type": "string"
}
},
"on_matched_action": {
"description": "既存レコードの扱いです。incremental で必須です。
\nupsert: 上書き
\nskip: スキップ\n",
"type": "string",
"enum": [
"upsert",
"skip"
]
},
"incremental_column": {
"description": "変更検知に使うカラムです。scd_type_2 で必須です。\n",
"type": "string"
},
"lookback_period_column": {
"description": "処理対象期間の判定に使うカラムです。",
"type": "string"
},
"lookback_period_column_type": {
"description": "処理対象期間カラムの型です。",
"type": "string",
"enum": [
"TIMESTAMP_NTZ",
"TIMESTAMP_TZ",
"TIMESTAMP_LTZ",
"DATE"
]
},
"lookback_period_from": {
"description": "処理対象期間(開始)の値です。",
"type": "integer",
"format": "int32"
},
"lookback_period_to": {
"description": "処理対象期間(終了)の値です。",
"type": "integer",
"format": "int32"
},
"lookback_period_unit": {
"description": "処理対象期間の単位です。",
"type": "string",
"enum": [
"days",
"hours"
]
},
"lookback_period_timezone": {
"description": "処理対象期間のタイムゾーンです。",
"type": "string"
},
"schema_evolution_mode": {
"description": "スキーマ追従モードです。
\ndetect_only: 検出のみ
\nauto_add_column: カラム自動追加\n",
"type": "string",
"enum": [
"detect_only",
"auto_add_column"
]
},
"quality_check_enabled": {
"description": "品質チェックを有効化するかどうかです。",
"type": "boolean"
},
"quality_check_on_violation": {
"description": "品質チェック違反時の挙動です。
\nfail: ジョブを失敗させる
\nwarn: 警告のみ\n",
"type": "string",
"enum": [
"fail",
"warn"
]
},
"quality_check_lookback_period_column": {
"description": "品質チェック基準カラムです。",
"type": "string"
},
"quality_check_lookback_period_column_type": {
"description": "品質チェック基準カラムの型です。",
"type": "string",
"enum": [
"TIMESTAMP_NTZ",
"TIMESTAMP_TZ",
"TIMESTAMP_LTZ",
"DATE"
]
},
"quality_check_lookback_period_timezone": {
"description": "品質チェック対象期間のタイムゾーンです。",
"type": "string"
},
"quality_check_lookback_period_from": {
"description": "品質チェック対象期間(開始)の値です。",
"type": "integer",
"format": "int32"
},
"quality_check_lookback_period_to": {
"description": "品質チェック対象期間(終了)の値です。",
"type": "integer",
"format": "int32"
},
"quality_check_lookback_period_unit": {
"description": "品質チェック対象期間の単位です。",
"type": "string",
"enum": [
"days",
"hours"
]
},
"quality_checks": {
"description": "品質チェック項目の配列です。",
"type": "array",
"items": {
"type": "object",
"properties": {
"check_type": {
"description": "チェック種別です。
\nnot_null: NOT NULL チェック
\nunique: UNIQUE チェック
\ncomposite_unique: 複合カラム一意性チェック\n",
"type": "string",
"enum": [
"not_null",
"unique",
"composite_unique"
]
},
"column_names": {
"description": "チェック対象カラム名の配列です。",
"type": "array",
"items": {
"type": "string"
}
}
}
}
}
}
},
{
"required": [
"warehouse",
"snowflake_connection_id",
"query_mode",
"query"
]
}
],
"nullable": true
},
"datamart_databricks_setting": {
"description": "Databricksの設定です。
\nデータウェアハウスタイプがDatabricksの場合にのみ、この値は返されます。\n",
"allOf": [
{
"title": "DatamartDatabricksSetting",
"type": "object",
"properties": {
"databricks_connection_id": {
"description": "Databricksの接続IDです。",
"type": "integer",
"format": "int64"
},
"query_mode": {
"description": "クエリ実行モードです。
\ninsert: データ転送モード
\nquery: 自由記述モード\n",
"type": "string",
"enum": [
"insert",
"query"
]
},
"query": {
"description": "実行クエリです。",
"type": "string",
"example": "select * from tests"
},
"write_disposition": {
"description": "書き込みモードです。
\nquery_modeがinsertの場合のみ有効です。
\nappend: 追記
\nreplace: 全件洗い替え(既存のテーブルがDROPされてクエリ実行結果に置き換えられます)
\ntruncate_insert: 全件洗い替え(既存のテーブルのレコードがTRUNCATEされて、クエリ実行結果に置き換えられます)\n",
"type": "string",
"enum": [
"append",
"replace",
"truncate_insert"
]
},
"destination_catalog": {
"description": "出力先カタログです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
},
"destination_schema": {
"description": "出力先スキーマです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
},
"destination_table": {
"description": "出力先テーブルです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
}
}
},
{
"required": [
"databricks_connection_id",
"query_mode",
"query"
]
}
],
"nullable": true
},
"datamart_redshift_setting": {
"description": "Redshiftの設定です。
\nデータウェアハウスタイプがRedshiftの場合にのみ、この値は返されます。\n",
"allOf": [
{
"title": "DatamartRedshiftSetting",
"type": "object",
"properties": {
"redshift_connection_id": {
"description": "Redshiftの接続IDです。",
"type": "integer",
"format": "int64"
},
"query_mode": {
"description": "クエリ実行モードです。
\ninsert: データ転送モード
\nquery: 自由記述モード\n",
"type": "string",
"enum": [
"insert",
"query"
]
},
"query": {
"description": "実行クエリです。",
"type": "string",
"example": "select * from tests"
},
"database": {
"description": "接続先データベースです。",
"type": "string"
},
"write_disposition": {
"description": "書き込みモードです。
\nquery_modeがinsertの場合のみ有効です。
\nappend: 追記
\ntruncate: 全件洗い替え(既存のテーブルのレコードがTRUNCATEされて、クエリ実行結果に置き換えられます)\n",
"type": "string",
"enum": [
"append",
"truncate"
]
},
"destination_schema": {
"description": "出力先スキーマです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
},
"destination_table": {
"description": "出力先テーブルです。
\nquery_modeがinsertの場合のみ有効です。\n",
"type": "string"
}
}
},
{
"required": [
"redshift_connection_id",
"query_mode",
"query",
"database"
]
}
],
"nullable": true
},
"notifications": {
"type": "array",
"description": "通知一覧です。",
"items": {
"title": "DatamartNotification",
"type": "object",
"properties": {
"id": {
"description": "通知設定のIDです。
\nnotification_type の中で一意です。slack と email が同じ親レコードから派生する場合は同じ id を持つため、destination_type を併用して識別してください。\n",
"type": "integer",
"format": "int64",
"readOnly": true
},
"destination_type": {
"description": "通知先です。",
"type": "string",
"enum": [
"slack",
"email",
"http"
]
},
"slack_channel_id": {
"description": "slack channel IDです。
\ndestination_typeがslackのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"email_id": {
"description": "Email IDです。
\ndestination_typeがemailのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"http_notification_destination_id": {
"description": "通知先HTTPのIDです。
\ndestination_typeがhttpのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"notification_type": {
"description": "通知タイプです。
\njob: ジョブ実行(終了/エラー)通知
\nrecord: レコード条件(超過/過不足)通知\n",
"type": "string",
"enum": [
"job",
"record"
]
},
"notify_when": {
"description": "通知条件です。
\njobタイプのとき必須です。\n",
"type": "string",
"enum": [
"finished",
"failed"
]
},
"message": {
"description": "通知内容です。
\ndestination_typeがhttpのときは、HTTPリクエストボディとして送信されるJSON文字列を指定します(メタ変数・カスタム変数の展開に対応)。\n",
"type": "string"
},
"record_count": {
"description": "閾値のレコード数
\nrecordタイプのとき必須です。\n",
"type": "integer",
"format": "int64"
},
"record_operator": {
"description": "レコード数の比較演算子です
\nrecordタイプのとき必須
\nabove: 以上
\nbelow: 以下\n",
"type": "string",
"enum": [
"above",
"below"
]
}
},
"required": [
"destination_type",
"notification_type"
]
}
},
"schedules": {
"type": "array",
"description": "スケジュール一覧です。",
"items": {
"title": "Schedule",
"type": "object",
"properties": {
"frequency": {
"description": "スケジュールの頻度です。
\nhourly: 毎時
\ndaily: 毎日
\nweekly: 毎週
\nmonthly: 毎月\n",
"type": "string",
"enum": [
"hourly",
"daily",
"weekly",
"monthly"
]
},
"minute": {
"description": "分の値を示します。",
"type": "integer",
"format": "int64"
},
"hour": {
"description": "時間の値を示します。",
"type": "integer",
"format": "int64"
},
"day": {
"description": "日にちの値を示します。",
"type": "integer",
"format": "int64"
},
"day_of_week": {
"description": "曜日の値を示します。",
"type": "integer",
"format": "int64"
},
"time_zone": {
"description": "日時のタイムゾーンです。",
"type": "string",
"example": "Etc/UTC"
}
},
"required": [
"frequency",
"time_zone"
]
}
},
"labels": {
"description": "ラベル一覧です。",
"type": "array",
"items": {
"title": "Label",
"type": "object",
"properties": {
"id": {
"description": "ラベルIDです",
"type": "integer",
"format": "int64",
"example": 1
},
"name": {
"description": "ラベル名です。",
"type": "string",
"example": "favorite"
},
"description": {
"description": "メモです。",
"type": "string",
"example": "お気に入り",
"nullable": true
},
"color": {
"description": "ラベルの色です。",
"type": "string",
"example": "#e86115"
},
"created_at": {
"description": "ラベル作成日時です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "ラベルの更新日時です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"name",
"color",
"created_at",
"updated_at"
]
}
},
"created_at": {
"description": "データマート定義の作成日時です。タイムゾーンはJST 日本時間(GMT+9)です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"updated_at": {
"description": "データマート定義の更新日時です。タイムゾーンはJST 日本時間(GMT+9)です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"name",
"data_warehouse_type",
"is_runnable_concurrently",
"created_at",
"updated_at"
]
}
}
}
},
"400": {
"description": "Bad request.
\n不正なリクエストです。\n"
},
"401": {
"description": "Not authenticated.
\n認証エラーです。API KEYをご確認ください。\n"
}
}
}
}
},
"components": {
"securitySchemes": {
"ApiKeyAuth": {
"type": "apiKey",
"in": "header",
"name": "Authorization",
"description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n"
}
}
}
}
````